View Issue Details

IDProjectCategoryView StatusLast Update
0010317CentOS-7gdmpublic2017-01-04 16:59
Reporterjojojoman 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntelOSCentOSOS Version7.2.1511
Product Version7.2.1511 
Target VersionFixed in Version7.3.1611 
Summary0010317: gdm ignores configured keyboard layout when installed with kde Desktop. It's always US
DescriptionWhen installing CentOS 7.2(1511) with kde desktop we always have en_us layout on the gdm-login-screen. Moreover the button for choosing the keyboard layout on the login screen was missing, so we were stuck with the english keyboard layout. I had a testbox installed with gnome desktop: The problem was no longer present. When I updated a working CentOS 7.1 installation (gdm/kde) with yum update to the level of CentOS 7.2 (1511) there was no problem either.

We now face the problem not being able to install CentOS 7.2(1511) from scratch with gdm and kde-desktop and a non-english keyboard layout.

Steps To ReproduceInstall CentOS 7.2(1511)
During Installation:
Choose Locale: de (Deutsch) / Keyboard de (Deutsch)
Choose Software: "KDE-Desktop"
You will end up with a gdm using us-layout and missing the Button to choose the keyboard-layout.
TagsNo tags attached.
abrt_hash
URL

Activities

tigalch

tigalch

2016-02-04 15:49

manager   ~0025602

For the time being, after you login to KDE, you should be able to change the keyboard layout (at least I was).
jojojoman

jojojoman

2016-02-05 06:41

reporter   ~0025625

Yes, that's true. But typing the password can be real fun. By the way, this problem reminds me of bug report #0006755.
jojojoman

jojojoman

2016-03-08 13:55

reporter   ~0025951

But everytime you log out, you are stuck with US-keyboard layout again. You have to change the keyboard layout EVERYTIME you log out and log in. That's really annoying.
jojojoman

jojojoman

2017-01-04 13:41

reporter   ~0028272

This issue appears to be fixed in 7.1611.
toracat

toracat

2017-01-04 16:59

manager   ~0028275

Fixed as per user's report. Closing as resolved.

Issue History

Date Modified Username Field Change
2016-02-04 15:26 jojojoman New Issue
2016-02-04 15:49 tigalch Note Added: 0025602
2016-02-05 06:41 jojojoman Note Added: 0025625
2016-03-08 13:55 jojojoman Note Added: 0025951
2017-01-04 13:41 jojojoman Note Added: 0028272
2017-01-04 16:59 toracat Status new => resolved
2017-01-04 16:59 toracat Resolution open => fixed
2017-01-04 16:59 toracat Fixed in Version => 7.3.1611
2017-01-04 16:59 toracat Description Updated View Revisions
2017-01-04 16:59 toracat Note Added: 0028275